<?php

/**
 * ECSHOP RSS Feed 生成程序
 * ============================================================================
 * 版权所有 (C) 2005-2007 北京亿商互动科技发展有限公司，并保留所有权利。
 * 网站地址: http://www.ecshop.com
 * ----------------------------------------------------------------------------
 * 这是一个免费开源的软件；这意味着您可以在不用于商业目的的前提下对程序代码
 * 进行修改、使用和再发布。
 * ============================================================================
 * @author:     Weber Liu <weberliu@hotmail.com>
 * @version:    v2.1
 * ---------------------------------------------
 * $Author: paulgao $
 * $Date: 2007-05-09 13:57:22 +0800 (星期三, 09 五月 2007) $
 * $Id: feed.php 8536 2007-05-09 05:57:22Z paulgao $
*/

define('IN_ECS', true);
define('INIT_NO_USERS', true);
define('INIT_NO_SMARTY', true);

require('./includes/init.php');
require('./includes/cls_rss.php');

header('Content-Type: application/xml; charset=utf-8');
header('Cache-Control: no-cache, must-revalidate');
header('Expires: Fri, 14 Mar 1980 20:53:00 GMT');
header('Last-Modified: ' . date('r'));
header('Pragma: no-cache');

$ver = isset($_REQUEST['ver']) ? $_REQUEST['ver'] : '2.00';
$uri = $ecs->url();
$rss = new RSSBuilder('utf-8', $uri, $_CFG['shop_name'], $_CFG['shop_desc'], $uri . 'animated_favicon.gif');
$rss->addDCdata('', 'http://www.ecshop.com', date('r'));
$sql = 'SELECT c.cat_name, g.goods_id, g.goods_name, g.goods_brief, g.last_update ' .
        'FROM ' . $ecs->table('category') . ' AS c, ' . $ecs->table('goods') . ' AS g ' .
        'WHERE c.cat_id = g.cat_id AND g.is_delete = 0 AND (g.is_gift = 0 OR g.is_alone_sale = 1) ' .
        'ORDER BY g.goods_id DESC LIMIT 20';
$res = $db->query($sql);

if ($res !== false)
{
    while ($row = $db->fetchRow($res))
    {
        $item_url = build_uri('goods', array('gid' => $row['goods_id']), $row['goods_name']);
        $about    = $uri . $item_url;
        $title    = htmlspecialchars($row['goods_name']);
        $link     = $uri . $item_url;
        $desc     = htmlspecialchars($row['goods_brief']);
        $subject  = htmlspecialchars($row['cat_name']);
        $date     = date('r', $row['last_update']);

        $rss->addItem($about, $title, $link, $desc, $subject, $date);
    }

    $rss->outputRSS($ver);
}

?>